geeqie(1)

NAME
Geeqie - GTK based multiformat image viewer

SYNOPSIS
geeqie [options] [path]

DESCRIPTION
Geeqie is an interactive GTK based image viewer that supports multiple image formats, zooming, panning, thumbnails and sorting images into collections.

OPTIONS

+t,--with-tools
    Force the toolbox to be shown.

-t,--without-tools
    Force the toolbox to be hidden.

-f,--fullscreen
    Start in full screen mode.

-s,--slideshow
    Start in slideshow mode.

-l,--list[files...][collections...]
    Open collection window for command line files.

--blank
    Start with blank file list.

--geometry=XxY+XOFF+YOFF
    Set main window location.

-n,--new-instance
    Open a new instance of Geeqie.

-r,--remote
    Send following commands to open window.

-rh,--remote-help
    Print remote command list.

--debug[=level]
    Turn on debugging output.

-g:<regexp>,--grep:<regexp>
    Filter debug output.

+w,--show-log-window
    Show log window.

-o:<FILE>,--log-file:<FILE>
    Save log data to FILE.

-v,--version
    Print version.

-h,--help
    Print command line options.

--disable-clutter
    Disable use of Clutter library (i.e. GPU accel.).

REMOTE OPTIONS

-n,--next
    Next image.

-b,--back
    Previous image.

--first
    First image.

--last
    Last image.

-f,--fullscreen
    Toggle full screen.

-fs,--fullscreen-start
    Start full screen.

-fS,--fullscreen-stop
    Stop full screen.

-s,--slideshow
    Toggle slideshow.

-ss,--slideshow-start
    Start slideshow.

-sS,--slideshow-stop
    Stop slideshow.

--slideshow-recurse:<FOLDER>
    Start recursive slide show in FOLDER.

-d<[HRS:][MINS:][N][.M]>,--delay=<[hrs:][mins][N][.M]>
    Set slide show delay to Hrs Mins N.M seconds.

+t,--tools-show
    Show tools.

-t,--tools-hide
    Hide tools.

-q,--quit
    Quit.

--config-load:<FILE>|layout ID
    Load configuration from FILE.

--get-sidecars:<FILE>
    Get list of sidecars of FILE.

--get-destination:<FILE>
    Get destination path of FILE.

file:<FILE>|<URL>
    Open FILE or URL, bring Geeqie window to the top.

--file:<FILE>|<URL>
    Open FILE or URL, bring Geeqie window to the top.

File:<FILE>|<URL>
    Open FILE or URL, do not bring Geeqie window to the top.

--File:<FILE>|<URL>
    Open FILE or URL, do not bring Geeqie window to the top.

--tell
    Print filename [and Collection] of current image.

--pixel-info
    Print X, Y and RGB of mouse pointer on current image.

--get-rectangle
    Get rectangle co-ordinates.

--get-render-intent
    Get render intent.

--get-filelist:[<FOLDER>]
    Get list of files and class.

--get-filelist-recurse:[<FOLDER>]
    Get list of file and class recursive.

--get-collection:<COLLECTION>
    Get collection content.

--get-collection-list
    Get collection list.

--get-file-info
    Get file info.

view:<FILE>
    Open FILE in new window.

--view:<FILE>
    Open FILE in new window.

--list-clear
    Clear command line collection list.

--list-add:<FILE>
    Add FILE to command line collection list.

raise
    Bring the Geeqie window to the top.

--raise
    Bring the Geeqie window to the top.

--id:<ID>
    Window ID for following commands.

--new-window
    Open new window.

--close-window
    Close window.

--geometry=[XxY][+XOFF+YOFF]
    Set window geometry.

-ct:clear|clean,--cache-thumbs:clear|clean
    Clear or clean thumbnail cache.

-cs:clear|clean,--cache-shared:clear|clean
    Clear or clean shared thumbnail cache.

-cm,--cache-metadata
    Clean metadata cache.

-cr:<folder>,--cache-render:<folder>
    Render thumbnails.

-crr:<folder>,--cache-render-recurse:<folder>
    Render thumbnails recursively.

-crs:<folder>,--cache-render-shared:<folder>
    Render thumbnails (see Help).

-crsr:<folder>,--cache-render-shared-recurse:<folder>
    Render thumbnails recursively (see Help).

--lua:<FILE>,<lua-script>
    Run lua script on FILE.

--PWD:<PWD>
    Use PWD as working directory for following commands.

--print0
    Terminate returned data with null character instead of newline.

USAGE
Key naming is similar to that of emacs(1): C-key indicates that control should be held, and key should be pressed; S-key indicates that shift should be held and key should be pressed; these two can be combined, also, into C-S-key.

left-mouse-click
    (on image) next image

middle-mouse-click
    (on image) previous image

right-mouse
    context menu

middle-mouse-drag
    drag and drop operations

mouse-wheel
    (on image) Changes to the next or previous image, or if option is enabled, scrolls the image vertically.

mouse-wheel+Shift-key
    (on image) Inverts the mouse wheel behavior between scrolling image or changing image.

mouse-wheel+Control-key
    (on image) Zooms the image in and out.

  GENERAL KEYS

PageDown
    next image

PageUp
    previous image

Home
    first image in list

End last image in list

Tab tab completion in path entry window

Escape
    cancel completion in path entry window or stop generating thumbnails

  IMAGE KEYS
Keys that are valid when the image part of the window is focused.

Arrows
    pan image

Shift+Arrows
    pan image faster

Space,N
    next image

Backspace,B
    previous image

  FILE RELATED KEYS

C   new empty collection

O   open collection

D   open the Find Duplicates window

C-F new folder

C-C copy file

C-M move file

C-R rename file

C-D,Delete
    delete file

C-N new window

C-W close window

C-Q quit

  EDIT MENU RELATED KEYS

C-1,2..9,0
    run external editor

C-A select all files

C-S-A
    unselect all files

C-O go to the Configuration window

C-P display image properties

]   rotate image clockwise

[   rotate image counterclockwise

S-R rotate image 180 degrees

S-M mirror image (horizontal)

S-F flip image (vertical)

  VIEW MENU RELATED KEYS

+,= zoom in

-   zoom out

Z,KeyPad-/
    zoom to original size

X,KeyPad-*
    zoom to fit window

1,2,3,4
    zoom in to X scale factor

9,8,7
    zoom to -2, -3, -4, respectively

T   toggle thumbnail display

C-L display files in list format

C-I display files in icon format

C-T toggle tree view for directories

R   refresh file list

L   toggle floating of file selection area

H   toggle hiding of file selection area

F,V toggle full-screen mode

S   toggle slide-show mode

P   toggle pause of slideshow

C-E toggle display of exif sidebar

C-S toggle display of sort manager

  COLLECTION WINDOW KEYS

Arrows
    move selection

Shift+Arrows
    select multiple images

Control+Arrows
    move selector without changing selection

Space
    select the image under the selector

Control+Space
    toggle selection of the image under the selector

Home
    move selector to the top image

End move selector to bottom image
    Adding Shift or Control to Home and End has a similar effect as adding them to the arrows.

C-A select all images

C-S-A
    unselect all images

Delete
    remove image form collection (does not delete the file)

C-L add images to collection form main file list

N   sort collection by name

D   sort collection by date

B   sort collection by file size

P   sort collection by pathname

I   sort collection by name numerically (*)

Enter
    view image under selector in the main image window

V   view image under selector in new window

C-1,2..9,0
    open selected image(s) in external editor

S   save collection

C-S save collection as

A   append current collection to existing collection

C-C copy selected files

C-M move selected files

C-R rename selected files

C-D delete selected files

C-W close window

  DUPLICATES WINDOW KEYS

C-A select all images

C-S-A
    unselect all images

1   select group 1 images

2   select group 2 images

C-L add images from main window file list

C   add selected images to new collection

Delete
    remove selected images from list

C-Delete
    clear window

Enter
    view image with focus in main window

V   view image with focus in new window

C-1,2..9,0
    open selected image(s) in editor

C-P display properties window for selected images

C-C copy selected files

C-M move selected files

C-R rename selected files

C-D delete selected files

C-W close window

FILES
The following data lists the locations Geeqie uses for various actions. The uppercase symbols are environment variables. If they are not set on your system the fallback locations are listed in parentheses. Geeqie will first attempt to load a configuration file from: /etc/geeqie/geeqierc.xml It will then continue with the following locations. Most of Geeqie's configuration files are contained in the folder, and sub-folders of: $XDG_CONFIG_HOME/geeqie/ ($~/.config/geeqie/) Geeqie's standard configuration file is: .../geeqierc.xml An alternative configuration file may be used by executing: geeqie -r --config-load:<filename> Geeqie-created desktop files used by Plugins are in the folder: .../applications Lua script files for Lua Extensions are in the folder: .../lua Historic data such as last several folders visited, bookmarks, and recently used collections, as well as default print settings are contained in this text file: .../history Keyboard shortcut maps are contained in this text file: .../accels The location for Collections is in the folder: $XDG_DATA_HOME/geeqie/collections
($~/.local/share/geeqie/collections) The lirc Infra-red controller configuration file must be located at: $HOME/.lircrc Thumbnails are stored in a location specified in Thumbnail Preferences Metadata is stored either in the image file or in the location specified in Safe Delete The safe delete folder is specified in the Metadata tab of main Preferences

LICENSE
Copyright (C) 1999-2004 by John Ellis. Copyright (C) 2004-2020 by The Geeqie Team. Use this software at your own risk! This software released under the GNU General Public License. Please read the COPYING file for more information.

BUGS
Please send bug reports and feedback to https://github.com/BestImageViewer/geeqie/issues

AUTHOR
John Ellis <johne@verizon.net>
Manpage originally prepared by Nick Rusnov <nick@grawk.net>